# $Revision: 1.9 $, $Date: 2004/11/28 21:29:09 $
%include	/usr/lib/rpm/macros.perl
Summary:	Netfilter/IPtables Rule Editor
Summary(pl):	Edytor reguek Netfiltera/IPtables
Name:		ipmenu
Version:	0.0.3
Release:	2
License:	GPL
Group:		Networking/Admin
Source0:	http://users.pandora.be/stes/%{name}-%{version}.tar.gz
# Source0-md5:	16e7747978074254c25240c1876a6bf9
Patch0:		%{name}-path.patch
URL:		http://users.pandora.be/stes/ipmenu.html
Requires:	cursel
Requires:	iproute2
Requires:	iptables
Conflicts:	kernel =< 2.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It's a user interface to Netfilter/iptables and Linux policy routing
or traffic control, allowing you to edit firewall rules and configure
the firewall to "mark" packets for policy routing or for class based
queueing (CBQ). Netfilter is the Linux 2.4 subsystem for configuring a
multi-homed Linux server as a packet filter or as a NAT (network
address translation) device.

%description -l pl
Interfejs uytkownika do tablic polityki routingu, kontroli ruchu
pozwalajc na edycj reguek firewalla (iptables) z moliwoci
,,znakowania'' pakietw oraz szeregowania ich na podstawie polityki
routingu lub kolejkowania bazujcego na klasach (CBQ).

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}}

install *	$RPM_BUILD_ROOT%{_datadir}/%{name}/
ln -sf		%{_datadir}/%{name}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ipmenu
%attr(-, root,root)  %{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipmenu.spec,v $
Revision 1.9  2004/11/28 21:29:09  radek
- release 2: do not require the perl package, included macros.perl

Revision 1.8  2004/11/02 08:34:49  areq
- kill *

Revision 1.7  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:48:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/04/25 16:37:10  arturs
fixed a small typo

Revision 1.4  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 08:38:08  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.2  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/04/19 16:23:15  misiek
cursel based configurator/frontend to iptables, ip and tc
